curl --request POST \
--url https://production.hifibridge.com/v2/users/{userId}/virtual-accounts/{accountId}/simulate-deposit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"requestId": "<string>",
"source": {
"routingNumber": "<string>",
"accountNumber": "<string>",
"name": "<string>",
"bankName": "<string>"
},
"userId": "<string>",
"reference": "<string>",
"description": "<string>"
}
'import requests
url = "https://production.hifibridge.com/v2/users/{userId}/virtual-accounts/{accountId}/simulate-deposit"
payload = {
"amount": "<string>",
"requestId": "<string>",
"source": {
"routingNumber": "<string>",
"accountNumber": "<string>",
"name": "<string>",
"bankName": "<string>"
},
"userId": "<string>",
"reference": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '<string>',
requestId: '<string>',
source: {
routingNumber: '<string>',
accountNumber: '<string>',
name: '<string>',
bankName: '<string>'
},
userId: '<string>',
reference: '<string>',
description: '<string>'
})
};
fetch('https://production.hifibridge.com/v2/users/{userId}/virtual-accounts/{accountId}/simulate-deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": "88.8",
"paymentRail": "WIRE",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"source": {
"routingNumber": "021000021",
"accountNumber": "123456789",
"name": "Henry Wu",
"bankName": "Bank of NoWhere"
},
"userId": "840c28f2-ea7d-5c3a-9271-b10fd8b6ae6d",
"reference": "Test deposit",
"description": "Simulated test deposit"
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Simulate a deposit to a virtual account
Simulate a deposit to a virtual account in sandbox environment. This endpoint is only available in sandbox and allows testing deposit flows.
Note: This endpoint is only available in sandbox environment.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Amount to simulate deposit
Payment rail for the simulated deposit , recommended to use WIRE for faster settlement
WIRE, ACH Unique identifier for the request (recommend using uuid v4)
Show child attributes
Show child attributes
Optional user ID to associate with this deposit
Optional reference for this deposit
Optional description for this deposit
Response
Successfully triggered sandbox deposit
Amount to simulate deposit
Payment rail for the simulated deposit , recommended to use WIRE for faster settlement
WIRE, ACH Unique identifier for the request (recommend using uuid v4)
Show child attributes
Show child attributes
Optional user ID to associate with this deposit
Optional reference for this deposit
Optional description for this deposit